=== debian/changelog ===
ros-foxy-tracetools-test (1.0.5-2focal) focal; urgency=high

  * Increased code coverage > 94% as part of QL1
  * Contributors: Christophe Bedard, Alejandro Hernández Cordero

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 22 Dec 2020 05:00:00 -0000

ros-foxy-tracetools-test (1.0.0-2focal) focal; urgency=high

  * Add test_depend on python3-pytest-cov for tracetools_test
  * Call ament_add_pytest_test only once for tracetools_test
  * Move test_utils from tracetools to tracetools_test
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 24 Apr 2020 04:00:00 -0000

ros-foxy-tracetools-test (0.3.0-2focal) focal; urgency=high

  * Merge and update service test to cover callback registration
  * Fix default value for events_kernel in TraceTestCase
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-foxy-tracetools-test (0.2.12-2focal) focal; urgency=high

  * Use imperative mood in constructor docstring.
  * Contributors: Christophe Bedard, Steven! Ragnarök

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 09 Dec 2019 05:00:00 -0000

ros-foxy-tracetools-test (0.2.11-2focal) focal; urgency=high

  * Fix working directory for tracetools_test Python tests
  * Fix version regex to support multi-digit numbers
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 09 Dec 2019 05:00:00 -0000

ros-foxy-tracetools-test (0.2.10-2focal) focal; urgency=high

  * Update tests after new intra-process communications
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 17 Nov 2019 05:00:00 -0000

ros-foxy-tracetools-test (0.2.6-2focal) focal; urgency=high

  * Fix "do_more" check for test_ping/test_pong
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 16 Aug 2019 04:00:00 -0000

ros-foxy-tracetools-test (0.2.3-2focal) focal; urgency=high

  * Fix Windows warnings
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 05 Aug 2019 04:00:00 -0000

ros-foxy-tracetools-test (0.2.0-2focal) focal; urgency=high

  * Enable tracing by default if LTTng is available
  * Contributors: Christophe Bedard, Tobias Blass

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 30 Jul 2019 04:00:00 -0000

ros-foxy-tracetools-test (0.1.1-2focal) focal; urgency=high

  * Disable tracing-related tests by default
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 16 Jul 2019 04:00:00 -0000

ros-foxy-tracetools-test (0.1.0-2focal) focal; urgency=high

  * Add tracetools_test package with utilities
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 11 Jul 2019 04:00:00 -0000
